## org.eclipse.jetty.server.handler
Class ConnectHandler.ClientToProxyConnection

    java.lang.Object
      org.eclipse.jetty.server.handler.ConnectHandler.ClientToProxyConnection

All Implemented Interfaces:
  Connection

Enclosing class:
  ConnectHandler

    public class ConnectHandler.ClientToProxyConnection

extends Object
implements Connection

Constructor Summary
`ConnectHandler.ClientToProxyConnection(ConcurrentMap<String,Object> context, SocketChannel channel, EndPoint endPoint, long timestamp)`

Method Summary
`void` `close()`
`void` `closeClient()`
`void` `closed()`
`void` `closeServer()`
`long` `getTimeStamp()`
`Connection` `handle()` Handle the connection.
`boolean` `isIdle()`
`boolean` `isSuspended()`
`void` `setConnection(ConnectHandler.ProxyToServerConnection connection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectHandler.ClientToProxyConnection

    public ConnectHandler.ClientToProxyConnection(ConcurrentMap<String,Object> context,
                                                  SocketChannel channel,
                                                  EndPoint endPoint,
                                                  long timestamp)

Method Detail

### handle

    public Connection handle()
                      throws IOException

  Description copied from interface: `Connection`
  Handle the connection.

  Specified by:
    `handle` in interface `Connection`
  Returns:
    The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
  Throws:
    `IOException`

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `Connection`

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Connection`

### isSuspended

    public boolean isSuspended()

  Specified by:
    `isSuspended` in interface `Connection`

### closed

    public void closed()

  Specified by:
    `closed` in interface `Connection`

### setConnection

    public void setConnection(ConnectHandler.ProxyToServerConnection connection)

### closeClient

    public void closeClient()
                     throws IOException

  Throws:
    `IOException`

### closeServer

    public void closeServer()
                     throws IOException

  Throws:
    `IOException`

### close

    public void close()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.